Laden Sie Dateien wie PDFs hoch, die verarbeitet und als Artikel zur Wissensdatenbank hinzugefügt werden.
Laden Sie Dateien hoch, die verarbeitet und als Artikel zur Wissensdatenbank hinzugefügt werden.
Upload PDF
Abschnitt betitelt „Upload PDF“POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/pdf
Eine PDF-Datei hochladen. Der Inhalt wird extrahiert und als Artikel hinzugefügt.
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/pdf \ -H 'Authorization: Bearer <API_TOKEN>' \ -F 'pdf_file=@document.pdf'import requests
with open("document.pdf", "rb") as f: response = requests.post( url="https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/pdf", headers={"Authorization": "Bearer <API_TOKEN>"}, files={"pdf_file": f}, )data = response.json()Antwort 200 OK
{ "status": "success", "message": "File processed successfully.", "article": { "id": 1234, "title": "document.pdf" }}| Field | Description |
|---|---|
status string | Verarbeitungsstatus |
message string | Lesbare Ergebnisnachricht |
article object | Der erstellte Artikel |
Upload File
Abschnitt betitelt „Upload File“POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/
Eine unterstützte Datei (PDF, DOCX) hochladen. Der Inhalt wird extrahiert und als Artikel hinzugefügt.
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/ \ -H 'Authorization: Bearer <API_TOKEN>' \ -F 'file=@document.docx'import requests
with open("document.docx", "rb") as f: response = requests.post( url="https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/", headers={"Authorization": "Bearer <API_TOKEN>"}, files={"file": f}, )data = response.json()Antwort 200 OK — Gleiches Schema wie Upload PDF.